# Transaction Notification

The Bell BASS Webhook API provides a mechanism for receiving real-time notifications about events in your application. Webhooks allow your application to react immediately to events such as transaction status updates, new payments, and other significant activities by receiving HTTP POST requests from the Bell BASS server.

### Key Features

1. **Setup Webhook:** Register a webhook URL to receive notifications for specific events.
2. **Webhook Notifications:** Receive real-time HTTP POST requests to your registered webhook URL whenever an event occurs.
3. **Verify Transaction:** Call transaction qeury endpoint using reference to verify the status and authenticity of the transaction.

Sample Transaction Notification

```json
{
  "event": "collection",
  "reference": "Garo_00124053015311298155461",
  "virtualAccount": "0000000033",
  "externalReference": "24053014560933057683",
  "amountReceived": "50.0",
  "transactionFee":20,
  "netAmount":30,
  "stampDuty":0,// if transaction is above 10,000 naira
  "sessionId": "999999999900124053015311246476926",
  "sourceCurrency": "NGN",
  "sourceAccountNumber": "0123456789",
  "sourceAccountName": "John Doe",
  "sourceBankCode": "0001",
   "sourceBankName": "Test Bank",
   "remarks":"Testing",
  "destinationCurrency": "NGN",
  "status": "successful",//successful, pending
  "createdAt": 1717079472957,
  "updatedAt": 1717079473518
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bellmfb.com/webhook/transaction-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
